function AdjR2 = rsqr(ydata,ycalc,nTerms)
%RSQR Summary of this function goes here
%   Detailed explanation goes here
  try
    n = length(ydata);
    ymean = mean(ydata);
    z = ydata - ycalc;
    SSres= dot(z,z);
    z = ydata - ymean;
    SStot = dot(z,z);
    AdjR2 = 1 - (n-1)/(n-nTerms-1)*SSres/SStot;
  catch ME
    AdjR2 = -1; % -1 sgnals errors in calculations!!!
  end
  
end

