clc
close all
clear

optimName = "Differential evolution";

outFile = "bestrathetFlexDE1_";
% You may comment the next statement
delete(strcat(outFile,"*.txt"));

dt = datetime('now','TimeZone','local','Format','y-MMM-d HH_mm_ss');
dtstr = string(dt);
XlFile = strcat(pwd,'\Data1_44FlexDE1.xlsx');
outFile = strcat(outFile,dtstr,".txt");

MaxPop = 1000;
MaxIters = 5000;
[bestMdl1, bestPwrs1] =  ...
  bestrathetFlexGenericOptim(XlFile, outFile, ...
  @de,MaxPop,MaxIters,optimName);

clear GLOBAL
fprintf("Done!\n");


