clc
close all
clear

optimName = "Enhanced VIBRATING PARTICLES SYSTEM";

outFile = "bestrathetFlexEVPS1_";
% You may comment the next statement
delete(strcat(outFile,"*.txt"));

dt = datetime('now','TimeZone','local','Format','y-MMM-d HH_mm_ss');
dtstr = string(dt);
XlFile = strcat(pwd,'\data1_44FlexEVPS1.xlsx');
outFile = strcat(outFile,dtstr,".txt");

MaxPop = 500;
MaxIters = 2000;
[bestMdl1, bestPwrs1] =  ...
  bestrathetFlexGenericOptim(XlFile, outFile, ...
  @evpsFx,MaxPop,MaxIters,optimName);

clear GLOBAL
fprintf("Done!\n");


