clc
close all
clear

optimName = "Hunter Prey Optimization (HPO)";

outFile = "bestrathetFlexHPO1_";
% You may comment the next statement
delete(strcat(outFile,"*.txt"));

dt = datetime('now','TimeZone','local','Format','y-MMM-d HH_mm_ss');
dtstr = string(dt);
XlFile = strcat(pwd,'\Data1_44FlexHPO1.xlsx');
outFile = strcat(outFile,dtstr,".txt");

MaxPop = 1000;
MaxIters = 1000;
[bestMdl1, bestPwrs1] =  ...
  bestrathetFlexGenericOptim(XlFile, outFile, ...
  @HPO,MaxPop,MaxIters,optimName);

clear GLOBAL
fprintf("Done!\n");


