clc
close all
clear

outFile = "bestrathetFlexPSO2_";
% You may comment the next statement
delete(strcat(outFile,"*.txt"));

dt = datetime('now','TimeZone','local','Format','y-MMM-d HH_mm_ss');
dtstr = string(dt);
XlFile = strcat(pwd,'\data1_44FlexPSO2.xlsx');
outFile = strcat(outFile,dtstr,".txt");
MaxPop = 1000;
MaxIters = 5000;
[bestMdl1, bestPwrs2] =  ...
  bestrathetFlexPSO(XlFile, outFile,MaxIters,MaxPop,fix(MaxIters/10));

clear GLOBAL
fprintf("Done!\n");

